Subject: Re: bug#16647: Imprecisions with window-resizing cursors

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Feb 2014 18:45:05 +0200

> Date: Wed, 26 Feb 2014 11:17:06 +0100
> From: martin rudalics <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> (1) The <=> starts to appear only in a rectangle at the left of the
>      border.  If that rectangle extends across the border, the <=> will
>      continue to appear if you move the mouse to the right crossing the
>      border.  As soon as the <=> is on the right of the border, you can't
>      start dragging the border.
> 
> (2) The shape of the rectangle on the left of the border may vary.  If
>      your right fringe is larger than the width for the default font, you
>      will usually see a rectangle that is as wide as the fringe when you
>      move into the fringe horizontally from the left.  If you move inside
>      the fringe up and down (very near to the border but still on the
>      left of it) you can observe less wide rectangles.
> 
> Confusing, isn't it?  A basic problem is that remember_mouse_glyph
> doesn't know anything about windows or vertical borders.  It treats the
> frame as one huge area and I haven't been able yet to clip mouse glyph
> rectangles at window borders.  If anyone knows how to do that - and it
> should be certainly doable and done, please tell me.

I didn't read this thread attentively enough -- could you tell what
problem are you trying to solve?  If I know the answer,  I will be
happy to help.